com.corticon

## Interface ICcException

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    CcDeployException, CcDeployFileOrDirNotFoundException, CcDeployInvalidArgumentException, CcDeployInvalidDecisionServiceException, com.corticon.CcException, CcServerCannotReadFileContentsException, CcServerCannotWriteToFileException, CcServerDatabaseValidationException, CcServerDatabaseValidationLevel2ConfigurationException, CcServerDecisionServiceAlreadyRegisteredException, CcServerDecisionServiceBatchNotCurrentlyRunningException, CcServerDecisionServiceLoadedFromCddException, CcServerDecisionServiceNotDeployedInBatchModeException, CcServerDecisionServiceNotRegisteredException, CcServerDecisionServiceQueryServiceLoadFailedException, CcServerDecisionServiceTrackingAttributeAlreadyRegisteredException, CcServerDecisionServiceTrackingAttributeNotRegisteredException, CcServerEndlessLoopException, CcServerException, CcServerExecutionException, CcServerFileOrDirNotFoundException, CcServerInitializationInProgressException, CcServerInvalidArgumentException, CcServerInvalidCddException, CcServerInvalidDecisionServiceException, CcServerInvalidInputStreamException, CcServerInvalidJdoMetaDataException, CcServerInvalidOperationForDeploymentTypeException, CcServerInvalidSandboxException, CcServerInvalidUsernameAndPasswordException, CcServerInvalidUsernameAndPasswordForUploadAndDownloadException, CcServerLicenseViolationException, CcServerReportingInvalidDataException, CcServerTimeoutException

      public interface ICcException
      extends java.io.Serializable

  `ICcException` is the interface for the all exceptions thrown from Progress Corticon software.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getContainedException()` `getContainedException` returns the Exception contained within this Exception.
    `java.lang.String[]` | `getMessages()` `getMessages` returns an array containing the error message strings of this exception as well as all other exception it may contain.
    `java.lang.String` | `getStackTraceAsString()` `getStackTraceAsString` returns the stack backtrace as a text string.
    `void` | `printStackTrace()` `printStackTrace` prints the stack backtrace to the standard output.
    `void` | `printStackTrace(java.io.PrintStream aps)` `printStackTrace` prints the stack backtrace of the specified print stream.
    `void` | `printStackTrace(java.io.PrintWriter apw)` `printStackTrace` prints the stack backtrace to the specified print writer.
    `java.lang.String` | `toString()` `toString` returns a description of this Exception.

- - ### Method Detail

    - #### toString

          java.lang.String toString()

      `toString` returns a description of this Exception. If the Exception wraps other Exceptions, their contents is also included.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String

    - #### printStackTrace

          void printStackTrace(java.io.PrintStream aps)

      `printStackTrace` prints the stack backtrace of the specified print stream.

    - #### printStackTrace

          void printStackTrace(java.io.PrintWriter apw)

      `printStackTrace` prints the stack backtrace to the specified print writer.

    - #### printStackTrace

          void printStackTrace()

      `printStackTrace` prints the stack backtrace to the standard output.

    - #### getStackTraceAsString

          java.lang.String getStackTraceAsString()

      `getStackTraceAsString` returns the stack backtrace as a text string.
      Returns:
        String

    - #### getMessages

          java.lang.String[] getMessages()

      `getMessages` returns an array containing the error message strings of this exception as well as all other exception it may contain.
      Returns:
        String

    - #### getContainedException

          java.lang.Exception getContainedException()

      `getContainedException` returns the Exception contained within this Exception.
      Returns:
        Object The Entity Object that this message is refering to.

Copyright © 2005-2018 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.